<?php

// 获取首页数据
require_once ("../user_include.inc");

ErrorLogger::doOutput("Compass...ajax_get_top_dat.php....Start.", 0);

//获取参数
$unionId = ParamUtil::getRequestString("unionId");

//用户所在【省市区】
$province = ParamUtil::getRequestString("province");
$city = ParamUtil::getRequestString("city");
$district = ParamUtil::getRequestString("district");

$result = array();

//参数检查
if(empty($unionId)) {
	$result["message"] = "参数错误！";
	responseNG($result);
}

//判断用户是否存在
$param = array();
$param['unionid'] = $unionId;
$param['delete_flg'] = false;
$userList = UserMst::getList($param,'id','desc', 0, 1);
if(empty($userList)) {
	$result["message"] = "用户不存在！";
	responseNG($result);
}

$userMst = $userList[0];

//判断用户身份分别获取数据
$volunteerEventList = array();
$familyEventList = array();
$socialEventList = array();
$mediaList = array();

//志愿者活动[当前所在区域的第一条志愿者活动]
$param = array();
$param['province'] = $province;
$param['city'] = $city;
$param['district'] = $district;
$param['status'] = "OK";
$param['delete_flg'] = false;
//社会用户和机构用户的时候，添加【是否允许社会人士参加】
if($userMst->role == 5 || $userMst->role == 6) {
	$param['include_social_user'] = true;
}
$volunteerEventList = VolunteerEventDat::getList($param,'id','desc', 0, 1);

//亲子活动
if($userMst->role == 1) {
	//亲子活动
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['delete_flg'] = false;
	$familyEventList = FamilyEventDat::getList($param,'id','desc', 0, 1);
}

//社会实践
if($userMst->role == 2) {
	$param = array();
	$param['school_no'] = $userMst->school_no;
	$param['original_source'] = $userMst->school_no;
	$param['delete_flg'] = false;
	$socialEventList = SocialEventDat::getList($param,'id','desc', 0, 1);
}


//公益课堂
$param = array();
$param['delete_flg'] = false;
$mediaList = CourseMediaDat::getList($param,'id','desc', 0, 3);

//组装返回数据
$result["volunteerEventList"] = $volunteerEventList;
$result["familyEventList"] = $familyEventList;
$result["socialEventList"] = $socialEventList;
$result["mediaList"] = $mediaList;

ErrorLogger::doOutput("Compass...ajax_get_top_dat.php....End.", 0);

//返回结果
responseOK($result);

function responseNG($result) {
	$result = array("status"=>"NG", "result"=>$result);
	print json_encode($result);
	exit;
}
function responseOK($result) {
	$result = array("status"=>"OK", "result"=>$result);
	print json_encode($result);
	exit;
}
?>